﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinFormsApp1
{
    interface IDrawningObject
    {
        /// Шаг перемещения объекта
        public float Step { get; }
        /// Установка позиции объекта
        /// <param name="x">Координата X</param>
        /// <param name="y">Координата Y</param>
        /// <param name="width">Ширина полотна</param>
        /// <param name="height">Высота полотна</param>
        void SetObject(int x, int y, int width, int height);
        /// Изменение направления пермещения объекта
        /// <param name="direction">Направление</param>
        void MoveObject(Direction direction);
        /// Отрисовка объекта
        /// <param name="g"></param>
        void DrawningObject(Graphics g);
        /// Получение текущей позиции объекта
        (float Left, float Right, float Top, float Bottom) GetCurrentPosition();
    }
}
