﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;

namespace WinFormsApp1
{
    internal class MultiTraktor : EntityTractor
    {
        public Color DopColor { get; private set; }
        /// Инициализация свойств
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес трактора</param>
        /// <param name="bodyColor">Цвет кузова</param>
        /// <param name="dopColor">Дополнительный цвет</param>
        public MultiTraktor(int speed, float weight, Color bodyColor, Color dopColor) : base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
        }
    }
}
